Monday, 6 April 2015

Status: Python3 only on the ubuntu-desktop images

Before leaving for PyCon and with 15.04 beta2 released, I had a look at removing
Python2 from the desktop images. We are not there yet, but it looks promising
and realistic to achieve for 15.10. Bugs can be seen at

https://bugs.launchpad.net/ubuntu/+bugs?field.tag=python3

software-center
823254
all dependencies seem to be there

ubuntu-sso-client
enough of Twisted ported to Python3?
1037768,
1440683, 1035104

update-notifier
partly ported?
1440683

sessioninstaller
recommended by file-roller and software-center
porting to python3 doesn't look too bad
1440368

landscape-client (landscape-client-ui-install)
one script ... 1440366

apt-xapian-index
recommended by software-center
needs python3-xapian, which will get usable with xapian-bindings 1.4 (not yet
released).

deja-dup (seeded as a recommends)
1440370 needs porting

duplicity (dep of deja-dup)
1440372 partially ported

zeitgeist
dependency of activity-log-manager (seeded as a recommends)
1440373
supported upstream, build a python3-zeitgeist package and let zeitgeist depend
on it

oneconf (dependency of software-center)
oneconf-common should use python3 by default
1440375


--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel